arc-blahp-logger(8)

NAME

arc-blahp-logger - ARC authplugin to store BLAH accouting logs about FINISHED jobs

DESCRIPTION

ARC BLAH logger is an authplugin to store FINISHED jobs information in log files used by BLAH parser. Generated logs can be used by APEL/DGAS client tools to send accounting information.

SYNOPSIS

arc-blahp-logger -I <jobID> -U <user> -P <proxy file> -L <job status file> [-c <ceid prefix>] [-p <log prefix> ] [-d <log level>] [-i]

OPTIONS

-I jobID
    A-REX job identifier

-U user
    local account that own the job files and processes

-P user proxy
    path to user proxy certificate file to get VOMS membership info

-L job status file
    A-REX jobstatus .local file containint more info about job (like LRMS id)

-c ceid prefix
    prefix to generate CE ID in accordance to GLUE1.3 publishing

-p log prefix
    logs location and filename prefix. Default is /var/log/arc/accounting/blahp.log

-d loglevel
    logging level from 0(ERROR) to 5(DEBUG)

-i  Ignore failed jobs. Default is to publish them.

ENABLING PLUGIN IN A-REX CONFIGURATION

You need to add BLAH logger plugin as a handler for FINISHED state, e.g.:

authplugin="FINISHED timeout=10,onfailure=pass /usr/libexec/arc/arc-blahp-logger -I %I -U %u -L %C/job.%I.local -P %C/job.%I.proxy"

CONFIGURATION

There are no particular plugin configuration except passing correct options.

By default BLAH log is written to /var/log/arc/accounting/blahp.log-YYYYMMDD. The log prefix (without -YYYYMMDD) can be redefined with optional -p option.

CE ID is generated automatically and has a format host.fqdn:2811/nordugrid-torque-queue in accordance to GLUE1.3 publishing. Queue is added in runtime anyway, but prefix can be redefined with -c option. This option should be added in case of LRMS.

To debug logger execution you can add -d 5 option and see all ARC logger output from all subsystems used.

AUTHOR

Andrii Salnikov <manf at grid dot org dot ua>